[package]
name = "kernel-arch-aarch64"
version = "0.1.0"
edition = "2024"

[dependencies]
yggdrasil-abi.workspace = true
kernel-arch-interface.workspace = true
libk-mm-interface.workspace = true
device-api = { workspace = true, features = ["derive"] }

bitflags.workspace = true
static_assertions.workspace = true
aarch64-cpu.workspace = true
tock-registers.workspace = true

[build-dependencies]
cc = "1.0"

[lints]
workspace = true
